//+------------------------------------------------------------------+
//|                             IndicatorExportEA.mq4 |
//|                                                                  |
//|                    EA to export indicator values from MetaTrader |
//|                              Tick data are exported to directory |
//|              /MetaTrader directory/tester/files/XXX_TickData.csv |
//+------------------------------------------------------------------+

extern int AtrPeriod  = 14;
extern int AtrMa_Mode = 3;
extern int MaPeriod   = 5;
extern int Ma_Mode    = 3;


string currentTime = "";
string lastTime = "";

//+------------------------------------------------------------------+

int init() {
   return(0);
}

//+------------------------------------------------------------------+

int deinit() {
   return(0);
}

//+------------------------------------------------------------------+

int start() {
   currentTime = TimeToStr(Time[1], TIME_DATE|TIME_MINUTES|TIME_SECONDS);
   if(currentTime == lastTime) {
      return(0);
   }
   
   double value1, value2, value3, value4, value5, value6;
   
   int handle = FileOpen(StringConcatenate("CustInd_", Symbol(),"_",Period(),".txt"), FILE_READ | FILE_WRITE, ";");
   if(handle>0) {
      FileSeek(handle,0,SEEK_END);
      
      //value1 = iCustom(NULL,0, "KeltnerChannel", 20, 1.5, 2, 1);
      value1 = iCustom(NULL,0,"Atr_Ma",AtrPeriod,AtrMa_Mode,MaPeriod,Ma_Mode,0,1);
      value2 = iCustom(NULL,0,"Atr_Ma",AtrPeriod,AtrMa_Mode,MaPeriod,Ma_Mode,1,1);
      
      FileWrite(handle, TimeToStr(Time[1], TIME_DATE),TimeToStr(Time[1], TIME_MINUTES), Close[1], value1, value2);
      
      FileClose(handle);
   }

   lastTime = currentTime;
   
   return(0);
}

//+------------------------------------------------------------------+